CVE-2017-18248 (retired)

Priority
Description
The add_job function in scheduler/ipp.c in CUPS before 2.2.6, when D-Bus
support is enabled, can be crashed by remote attackers by sending print
jobs with an invalid username, related to a D-Bus notification.
Package
Source: cups (LP Ubuntu Debian)
Upstream:released (2.2.6-1)
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 LTS (Trusty Tahr):released (1.7.2-0ubuntu1.10)
Ubuntu 16.04 LTS (Xenial Xerus):released (2.1.3-4ubuntu0.5)
Ubuntu 18.04 LTS (Bionic Beaver):not-affected (2.2.6-5)
Ubuntu 18.10 (Cosmic Cuttlefish):not-affected (2.2.6-5)
Patches:
Upstream:https://github.com/apple/cups/commit/49fa4983f25b64ec29d548ffa3b9782426007df3
More Information

Updated: 2019-03-26 12:25:29 UTC (commit ccdecfcf0fead22bd291e5f4ea745a46872dcb15)